pkgtools/verifypc - The NetBSD Packages Collection

Sanity check package dependencies according to pkg-config

verifypc is a tool that sanity checks the dependencies of a package based on
the results of a successful build, assuming the package uses pkg-config to
detect dependencies.

verifypc will warn you if the configuration script requests an uninstalled
or unavailable package (not specified as a direct dependency) or if the
requested package does not match the version specification in the packages'
dependencies.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

(none)

Available binary packages

aarch64:verifypc-1.7.tgz(NetBSD 9.0)
aarch64:verifypc-1.7.tgz(NetBSD 9.0)
aarch64:verifypc-1.7.tgz(NetBSD 9.0)
alpha:verifypc-1.7.tgz(NetBSD 9.0)
alpha:verifypc-1.7.tgz(NetBSD 9.0)
alpha:verifypc-1.7.tgz(NetBSD 9.0)
earm:verifypc-1.7.tgz(NetBSD 9.0)
earm:verifypc-1.7.tgz(NetBSD 9.0)
earmv6hf:verifypc-1.7.tgz(NetBSD 9.0)
earmv6hf:verifypc-1.7.tgz(NetBSD 9.0)
earmv6hf:verifypc-1.7.tgz(NetBSD 9.0)
earmv6hf:verifypc-1.7.tgz(NetBSD 9.0)
earmv7hf:verifypc-1.7.tgz(NetBSD 8.0)
earmv7hf:verifypc-1.7.tgz(NetBSD 8.0)
earmv7hf:verifypc-1.7.tgz(NetBSD 8.0)
earmv7hf:verifypc-1.7.tgz(NetBSD 8.0)
earmv7hf:verifypc-1.7.tgz(NetBSD 9.0)
earmv7hf:verifypc-1.7.tgz(NetBSD 9.0)
earmv7hf:verifypc-1.7.tgz(NetBSD 9.0)
earmv7hf:verifypc-1.7.tgz(NetBSD 9.0)
earmv7hf:verifypc-1.7.tgz(NetBSD 9.0)
i386:verifypc-1.7.tgz(NetBSD 8.0)
i386:verifypc-1.7.tgz(NetBSD 8.0)
i386:verifypc-1.7.tgz(NetBSD 8.0)
i386:verifypc-1.7.tgz(NetBSD 9.0)
i386:verifypc-1.7.tgz(NetBSD 9.0)
i386:verifypc-1.7.tgz(NetBSD 9.0)
m68k:verifypc-1.7.tgz(NetBSD 9.0)
mips64eb:verifypc-1.7.tgz(NetBSD 9.0)
mips64eb:verifypc-1.7.tgz(NetBSD 9.0)
powerpc:verifypc-1.7.tgz(NetBSD 8.0)
powerpc:verifypc-1.7.tgz(NetBSD 8.0)
powerpc:verifypc-1.7.tgz(NetBSD 9.0)
powerpc:verifypc-1.7.tgz(NetBSD 9.0)
powerpc:verifypc-1.7.tgz(NetBSD 9.0)
sparc64:verifypc-1.7.tgz(NetBSD 9.0)
sparc64:verifypc-1.7.tgz(NetBSD 9.0)
sparc64:verifypc-1.7.tgz(NetBSD 9.0)
sparc:verifypc-1.7.tgz(NetBSD 9.0)
sparc:verifypc-1.7.tgz(NetBSD 9.0)
sparc:verifypc-1.7.tgz(NetBSD 9.0)
x86_64:verifypc-1.7.tgz(NetBSD 9.0)
x86_64:verifypc-1.7.tgz(NetBSD 9.0)
x86_64:verifypc-1.7.tgz(NetBSD 9.0)
x86_64:verifypc-1.7.tgz(NetBSD 9.0)
x86_64:verifypc-1.7.tgz(NetBSD 8.0)
x86_64:verifypc-1.7.tgz(NetBSD 8.0)
x86_64:verifypc-1.7.tgz(NetBSD 8.0)
x86_64:verifypc-1.7.tgz(NetBSD 9.0)
x86_64:verifypc-1.7.tgz(NetBSD 9.0)
x86_64:verifypc-1.7.tgz(NetBSD 9.0)
x86_64:verifypc-1.7.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]